#version 3.7;

global_settings{ assumed_gamma 1.0 }

camera{
        orthographic
        location <0, 0, -20>
        look_at 0
        sky y
        right 2.1*x
        up 2.1*y
}

light_source{ <1, 1, -8>*100000 color srgb 1 }

#declare time = clock;

//Frames from 0 to 28
#switch( time ) //'time' represents the frame number 
    #range(0, 3)
        #include "includes/explosionD_0_3.inc"
    #break
    #range(4, 10)
        #include "includes/explosionD_4_10.inc"
    #break
    #range(11, 12)
        #include "includes/explosionD_11_12.inc"
    #break
    #range(13, 14)
        #include "includes/explosionD_13_14.inc"
    #break
    #range(15, 20)
        #include "includes/explosionD_15_20.inc"
    #break
    #range(21, 27)
        #include "includes/explosionD_21_27.inc"
    #break
#end