//Include Povray of explosion D with frames from 11 to 12 (28 frames total for all the explosion)
//Explosion cloud. The 'clock' value must not be used directly , use 'time' value instead, created in main scene (pov file)

#include "includes/macroTimeSetter.inc"

#declare GreenCol = color srgb <0, 1, 0>;
#declare YellowCol = color srgb <1, 1, 0>;

#if( time = 11 )
    #declare GreenMinIndex = 0.1;
    #declare GreenMaxIndex = 0.8; 
    #declare WhiteStartIndex = 0.9;
    #declare SphereScale = 0.9;
#elseif( time = 12 )
    #declare GreenMinIndex = 0.2;
    #declare GreenMaxIndex = 0.7;
    #declare WhiteStartIndex = 0.75;
    #declare SphereScale = 0.8;
#end

sphere{
    0, 1 hollow no_shadow pigment{ color srgbft <0, 0, 0, 0, 1> }
    interior{
        //White smoke media
        media{
            emission 2
            density{ spherical density_map{
                                            [0.4 color srgb 0]
                                            [0.6 color srgb 1]
                                }
                warp{ turbulence 0.05 }
            }
        }
        //Fire media
        media{
            emission 2 samples 1, 30 intervals 20
            density{ spherical density_map{
                                    [0 color srgb 0]
                                    [0.025 YellowCol ]
                                    [GreenMinIndex YellowCol ]
                                    [GreenMinIndex GreenCol ]
                                    [GreenMaxIndex GreenCol ]
                                    [GreenMaxIndex YellowCol ]
                                    [WhiteStartIndex YellowCol ]
                                    [WhiteStartIndex color srgb 0]
                                }
                warp{ turbulence 0.25 lambda 4 omega 0.6 }
            }
        }
    }
    scale SphereScale
}