//Include Povray of explosion D with frames from 21 to 27 (28 frames total for all the explosion)
//Explosion cloud. The 'clock' value must not be used directly , use 'time' value instead, created in main scene (pov file)

#include "includes/macroTimeSetter.inc"

#declare SphereSize = 0;
AffineTimeSetterBoundOnly(21, 27, 0.5, 0.55, SphereSize, time)

#declare HoleStartIndex = 0;
AffineTimeSetterBoundOnly(21, 27, 0.5, 0.15, HoleStartIndex, time)

#declare RadialPattern = density{ radial color_map{
                                                [0.0 color srgb 0]
                                                [0.5 color srgb 0]
                                                [0.5 color srgb 1]
                                                [1.0 color srgb 1]
                                         }
                            frequency 120
                            rotate 90*x
                         }

sphere{
    0, 1 hollow no_shadow pigment{ color srgbft <0, 0, 0, 0, 1> }
    interior{
        //White smoke media
        media{
            emission 2
            density{ spherical density_map{
                                            [0.05 color srgb 0]
                                            [0.1 RadialPattern]
                                            [HoleStartIndex RadialPattern]
                                            [HoleStartIndex color srgb 0 ]
                                }
                warp{ turbulence 0.25 }
            }
        }
    }
    scale SphereSize
}