//Current Frame of both macro is the clock parameter during animation

#macro AffineTimeSetterAllAlong(StartFrame, EndFrame, yStart, yEnd, ValueToSet, CurrentFrame, BeforeValue, AfterValue)
    #if( StartFrame = EndFrame )
        #error "Can't render, because Start and End frame have equal values"
    #end
    
    #if( CurrentFrame >= StartFrame & CurrentFrame <= EndFrame)
        #local DirCoef = (yEnd - yStart) / ( EndFrame - StartFrame );
        #local OrigineOffset = yStart - (DirCoef * StartFrame);
        #declare ValueToSet = (DirCoef * CurrentFrame) + OrigineOffset;
    #elseif( CurrentFrame < StartFrame )
        #declare ValueToSet = BeforeValue;
    #elseif( CurrentFrame > EndFrame )
        #declare ValueToSet = AfterValue;
    #end
#end

#macro AffineTimeSetterBoundOnly(StartFrame, EndFrame, yStart, yEnd, ValueToSet, CurrentFrame)
    #if( StartFrame = EndFrame )
        #error "Can't render, because Start and End frame have equal values"
    #end
    
    #if( CurrentFrame >= StartFrame & CurrentFrame <= EndFrame)
        #local DirCoef = (yEnd - yStart) / ( EndFrame - StartFrame );
        #local OrigineOffset = yStart - (DirCoef * StartFrame);
        #declare ValueToSet = (DirCoef * CurrentFrame) + OrigineOffset;
    #end
#end